@font-face {
  font-family: "Allison";
  src: url("../fonts/Allison.ttf") format("truetype");
}
@font-face {
  font-family: "CuteFont";
  src: url("../fonts/CuteFont.ttf") format("truetype");
}
@font-face {
  font-family: "Fraunces";
  src: url("../fonts/Fraunces.ttf") format("truetype");
}
@font-face {
  font-family: "Mansalva";
  src: url("../fonts/Mansalva.ttf") format("truetype");
}
@font-face {
  font-family: "Bitcount";
  src: url("../fonts/Bitcount.ttf") format("truetype");
}
@font-face {
  font-family: "Pixelify";
  src: url("../fonts/Pixelify.ttf") format("truetype");
}


body{
    margin:0;
    background:#d68ea2;
    display:flex;
    justify-content:center;
    align-items:center;
    height:100vh;
    overflow:hidden;
    cursor: url("../images/heelpointer.png") 0 0, auto;
}

a:hover,
button:hover
{
    cursor: url("../images/heels2cursor.png"), pointer;
}


.desktop{
    position:relative;
    width:1200px;
    height:700px;
    border-radius:25px;
    background:#fcdcd4;
    overflow:hidden;
    box-shadow:0 15px 45px rgba(0,0,0,.25);
}


#intro{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    overflow:hidden;
}
#leftPage,
#rightPage{
    position:absolute;
    top:0;
    width:50%;
    height:100%;
    overflow:hidden;
    z-index:10;
}
#leftPage{
    left:0;
    transform-origin:left center;
}
#rightPage{
    right:0;
    transform-origin:right center;
}
#leftPage img,
#rightPage img{
    width:100%;
    height:100%;
    object-fit:cover;
}


#openButton{
    position:absolute;
    left:50%;
    top:50%;
    transform:translate(-50%,-50%);
    width:520px;
    cursor:pointer;
    z-index:20;
    transition:.6s;
    cursor: url("../images/heels2cursor.png"), pointer;
}
.open-left{
    animation:leftCurtain 5s ease-in-out forwards;
}
.open-right{
    animation:rightCurtain 5s ease-in-out forwards;
}
@keyframes leftCurtain{
    0%{
      transform:translateX(0);
    }
    100%{
      transform:translateX(-100%);
    }
}
@keyframes rightCurtain{
    0%{
      transform:translateX(0);
    }
    100%{
      transform:translateX(100%);
    }
}



#gallery{
    position:absolute;
    top:0;
    left:0;
    display:grid;
    grid-template-columns:repeat(4, 250px);
    grid-auto-rows:185px;
    column-gap:27px;
    row-gap:27px;
    padding:50px;
    box-sizing:border-box;
    width:100%;
    height:100%;
    overflow-y:auto;
    z-index:1;
    align-content:flex-start;
}
.photo-card{
    position:relative;
    width:250px;
    height:185px;
    transition:.4s ease;
}
.photo-card:hover{
    transform:scale(1.14) translateY(-8px);
    z-index:50;
}
.frame{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    z-index:3;
    pointer-events:none;
}
.photo{
    position:absolute;
    top:25px;
    right:10px;
    left:8px;
    width:220px;
    height:145px;
    object-fit:cover;
    filter:grayscale(100%) sepia(40%) hue-rotate(300deg) saturate(180%);
    transition:.5s ease;
    z-index:1;
    box-shadow:0 5px 12px rgba(0,0,0,.18);
}
.photo-date{
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    color:white;
    font-family:"Fraunces", serif;
    font-size:15px;
    font-style:italic;
    font-weight:bold;
    letter-spacing:1px;
    text-shadow:2px 2px 4px rgba(0,0,0,.9), 0 0 8px rgba(0,0,0,.35);
    transition:.5s ease;
    z-index:2;
}
.photo-card:hover .photo{
    filter:none;
    transform:scale(1.03);
    box-shadow:0 12px 25px rgba(0,0,0,.35);
}
.photo-card:hover .photo-date{
    opacity:0;
}


.circle-return{
    position:absolute;
    right:135px;
    width:90px;
    height:80px;
    top:60px;
    z-index:20;
    transition:.3s ease;
}
.circle-return img{
    width:100%;
    height:100%;
    object-fit:contain;
}
.circle-return:hover{
    transform:scale(1.12) rotate(5deg);
}